package com.kingdee.eas.custom.beisen.synchronousorg;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class synchronousOrgFactory
{
    private synchronousOrgFactory()
    {
    }
    public static com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("897A8C4E") ,com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg.class);
    }
    
    public static com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("897A8C4E") ,com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg.class, objectCtx);
    }
    public static com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("897A8C4E"));
    }
    public static com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.beisen.synchronousorg.IsynchronousOrg)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("897A8C4E"));
    }
}